Subject: Re: bug#18013: 24.3.92; Infloop in re_search_2

From: Andreas Schwab <[email-masked]>
Date: Mon, 14 Jul 2014 12:06:55 +0200

Nicolas Richard <[email-masked]> writes:

> I'll admit that (looking-back "[^\n]") is not exactly the canonical way
> to test for (not (bolp)), but should it make an infloop ? I can't
> reproduce though.

I don't think it infloops, it just takes a very long time.  Since this
is running in a process filter interrupts are disabled, so you have to
be extra careful with what you do here.

Andreas.

-- 
Andreas Schwab, SUSE Labs, [email-masked]
GPG Key fingerprint = 0196 BAD8 1CE9 1970 F4BE  1748 E4D4 88E3 0EEA B9D7
"And now for something completely different."